%define ttfdir %_datadir/fonts/default/TrueType-georgian

Name: georgian-fonts-ttf
Version: 1.0
Release: alt4

Summary: Free Georgian TrueType fonts
Summary (ru_RU.UTF-8): Грузинские TrueType шрифты
License: Distributable
Group: System/Fonts/True type
Url: http://www.main.osgf.ge/eng/dounen.htm
Source: Georgian_Fonts.zip
BuildArch: noarch
BuildRequires: freetype
BuildPreReq: unzip
PreReq: chkfontpath freetype fontconfig

%description
This Package provides free Georgian TrueType fonts.

%description -l ru_RU.UTF-8
В пакете находятся грузинские TrueType шрифты.

%prep
%setup -q -n ka_fonts

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 1.0-alt4
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir

%changelog
* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt4
- %postun script fix

* Tue Jan 27 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt3
- Build fix

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt2
- Changed dir
- Cleanups

* Fri Nov 29 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
